# XRandR.Screen (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class XRandR.Screen

    java.lang.Object
      org.lwjgl.opengl.XRandR.Screen

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  XRandR

    public static class XRandR.Screen

extends java.lang.Object
implements java.lang.Cloneable

Encapsulates the configuration of a monitor. Resolution and freq are fixed, position is mutable

Author:
  ryanm

Field Summary
`int` `freq` Frequency in Hz
`int` `height` Height in pixels
`java.lang.String` `name` Name for this output
`int` `width` Width in pixels
`int` `xPos` Position on the x-axis, in pixels
`int` `yPos` Position on the y-axis, in pixels

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

  Name for this output

### width

    public final int width

  Width in pixels

### height

    public final int height

  Height in pixels

### freq

    public final int freq

  Frequency in Hz

### xPos

    public int xPos

  Position on the x-axis, in pixels

### yPos

    public int yPos

  Position on the y-axis, in pixels

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.